Bug 991351 - Incorrect rendering on with KWin compositing enabled
Incorrect rendering on with KWin compositing enabled
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-02 04:16 EDT by Diego
Modified: 2015-02-17 11:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:30:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Example of a window corrupted with KWin effects enabled (80.75 KB, image/png)
2013-08-12 02:25 EDT, Diego
no flags Details
Another example of black windows with kwin composite effects enabled. (268.30 KB, image/png)
2013-08-17 03:53 EDT, Diego
no flags Details

  None (edit)
Description Diego 2013-08-02 04:16:21 EDT
Description of problem:
After a bunch time (generally 10 o 20 minutes) I get graphic corruption if I have compositing enabled in KDE's KWin with an Intel Graphics Card (GMA 3100 on Asus P5KPL-AM-SE motherboard) on Fedora 19.
The graphics corruption consists in completely black or completely transparent windows.

Version-Release number of selected component (if applicable):
Up to date (02/08/2013) Fedora 19 system.

How reproducible:
Most of the times the bug appears among 1 hour of work.

Steps to Reproduce:
1. Start KDE
2. Enable compositing
3. Wait until you experience graphics corruption
Comment 1 Diego 2013-08-12 02:25:47 EDT
Created attachment 785563 [details]
Example of a window corrupted with KWin effects enabled

A window with all the contents rendered black with KWin effects enabled. Disabling effects immediately fixes the problem.
Comment 2 Diego 2013-08-17 03:53:57 EDT
Created attachment 787522 [details]
Another example of black windows with kwin composite effects enabled.
Comment 3 Fedora End Of Life 2015-01-09 14:14:08 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 11:30:58 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.